# -*- encoding: utf-8 -*-
# stub: creepcheck 3182.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "creepcheck".freeze
  s.version = "3182.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chad Perrin".freeze]
  s.date = "2017-04-02"
  s.description = "    CreepCheck is a Ruby library that provides an API for checking romantic age\n    compatibility based on the popular half-plus-seven formula for determining\n    when it is socially (in)appropriate for people to date based on their\n    relative ages.  It comes with a sample command line interface utility.\n\n    Opinions vary on appropriate age differences in romantic relationships, but\n    the half-plus-seven formula seems to approximate United States cultural\n    biases about appropriate age differences pretty well.  This library and\n    utility package was originally created as a joke related to assessing the\n    ap propriateness of relationships between characters in fictional contexts,\n    such as in fantasy/sci-fi prose and roleplaying games.  It is not intended\n    to be treated as a substitute for moral fiber or individual judgement, and\n    no guarantees are made about the likelihood one's family or local courts of\n    law will approve of a given relationship on the basis of the age of one's\n    partner even if \"approved\" by the half-plus-seven formula.\n\n    This tool's major release version is published on April Fool's Day under\n    the terms of the DPL, or Detachable Public License.  It is intended for\n    entertainment purposes only.  It is not even particularly well-written.\n".freeze
  s.email = "code@apotheon.net".freeze
  s.executables = ["creepcheck".freeze]
  s.files = ["bin/creepcheck".freeze]
  s.homepage = "http://fossrec.com/u/apotheon/creepcheck".freeze
  s.licenses = ["DPL".freeze]
  s.post_install_message = "    Thank you for using creepcheck.  Usage help for the \"creepcheck\" command\n    line utility is a \"creepcheck help\" command away.  Unfortunately, that\n    command provides no relationship help for people who have discovered they\n    are engaged in creepy relationships.  For that, you are on your own.\n\n    The library used by the command line interface can be used with:\n\n        require 'creep_check'\n\n    . . . and provides the CreepCheck class.  RDoc for CreepCheck is pretty\n    half-assed at this time, but may be useful nonetheless.\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "CreepCheck - check the creepiness of your relationship".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version
end
